<?php
if(!isset($CRON_GUVENLIK)){
    echo "cron dosyasını manuel çalıştıramazsınız";
    exit;
}


require_once "mp-content/init.php";

$refill = $db->from('tasks')->all();

if ($refill) {

	foreach ($refill as $row) {

		$orders = $db->from('orders')->where('order_id', $row['order_id'])->first();
		if ($order) {
			$service = $db->from('services')->where('service_id', $orders['service_id'])->first();

			if ($service && $service['refill_type'] == 2) {

				$api = $db->from('apis')->where('api_id', $service['api_id'])->first();

				if ($api) {

				
					$updateRefill = update_refill($api['api_url'], $api['api_key'], $row['order_id']);

					if ($updateRefill && $updateRefill['status'] == "Completed") {

						$updateTask = $db->update('tasks')->where('task_id', $row['task_id'])
							->set(array(
								'task_status' => 1,
								'task_updatedate' => date("Y-m-d H:i:s")
							));

						if ($updateTask) {
							print_r('<pre>');
							print_r('Telafi işlemi tamamlandı olarak güncellendi. ID:' . $row['task_id']);
							print_r('</pre>');
						}
					}
				}
			} else {

				print_r('<pre>');
				print_r('Telafi işlemine ait servis bulunamadı.');
				print_r('</pre>');
			}
		}
	}
} else {

	print_r('<pre>');
	print_r('Hiç Telafi bulunmuyor');
	print_r('</pre>');
}
?>